Bug 123403 - Some packages cannot be selected to be added
Some packages cannot be selected to be added
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 01:48 EDT by Jan Rychter
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Rychter 2004-05-18 01:48:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When running the system-config-packages utility to add packages to the
system, I get the following problem with some packages:

Traceback (most recent call last):
  File "/usr/share/system-config-packages/GroupDetails.py", line 171,
in renderer_toggled
    self.component.selectPackage(package.nevra())
  File "/usr/share/system-config-packages/GroupSet.py", line 794, in
selectPackage
    pkg = self.packages[pkgnevra]
KeyError: 'xemacs-0:21.4.15-5.i386'

The result is that I cannot change the state of the checkbox.

I have emacs installed and I wanted to install xemacs instead.
This happens when selecting xemacs or emacs. I haven't tried other
packages.

The system has been upgraded from FC2-test3 to FC2.


Version-Release number of selected component (if applicable):
system-config-packages-1.2.12-1

How reproducible:
Always

Steps to Reproduce:
1. run system-config-packages
2. click Editors
3. click Emacs or XEmacs
    

Actual Results:  nothing was selected and I got the traceback above

Expected Results:  checkboxes should have changed state

Additional info:
Comment 1 Stephane 2004-08-20 23:31:52 EDT
I have got the same experience by using the system-config-packages 
with the Fedora Core 2, but without any error as described above.

It is *just* impossible to select xemacs in the editors list ... .

Steph
Comment 2 Christian Rosenkranz 2004-09-08 09:24:20 EDT
I expirienced the same thing trying to install ruby
(Development/Development Tools/ruby)

I installed Fedora Core 2.B (from the (german) RedHat-Magazine DVD).
Comment 3 Peter van Egdom 2004-11-14 03:52:26 EST
A similar problem also happens with FC3. When using
"system-config-packages" to uninstall Emacs, the following traceback
appears :

Traceback (most recent call last):
  File "/usr/share/system-config-packages/GroupDetails.py", line 170,
in renderer_toggled
    self.component.unselectPackage(package.nevra())
  File "/usr/share/system-config-packages/GroupSet.py", line 841, in
unselectPackage
    pkg = self.packages[pkgnevra]
KeyError: 'emacs-0:21.3-17.i386'
Comment 4 Matthew Miller 2005-04-26 11:08:03 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Marius Andreiana 2005-08-19 16:58:16 EDT
Does FC4 work for you?
Comment 6 Jeremy Katz 2005-09-21 15:14:48 EDT
Closing as resolved in current releases

Note You need to log in before you can comment on or make changes to this bug.